Bug 448029 - Crash at "Mark all read"
Crash at "Mark all read"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 21:07 EDT by Pete Zaitcev
Modified: 2008-07-09 00:04 EDT (History)
0 users

See Also:
Fixed In Version: 1.4.16b-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2008-05-22 21:07:03 EDT
Description of problem:

Liferea crashes. This seems related to "Mark all read".

Version-Release number of selected component (if applicable):

liferea-1.4.15-5.fc9.x86_64
glib2-2.16.3-5.fc10.x86_64

How reproducible:

Reliable in this case, but may depend on the state of the cache,
state of feeds.

Steps to Reproduce:
1. Click "Mark all read"
2.
3.
  
Actual results:

Crash

Expected results:

No crash

Additional info:

Program received signal SIGSEGV, Segmentation fault.
item_state_set_all_read (node=<value optimized out>) at item_state.c:157
157                                     node_from_id
(item->nodeId)->needsRecount = TRUE;
....
#0  item_state_set_all_read (node=<value optimized out>) at item_state.c:157
#1  0x000000000042901f in node_mark_all_read (node=0x7fca9ae902e0)
    at node.c:283
#2  0x000000000042390a in feedlist_mark_all_read (node=0x25d8f40)
    at feedlist.c:117
#3  0x000000366640b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#4  0x000000366641f6c1 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#5  0x0000003666420b9c in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#6  0x00000036664210e3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#7  0x000000366cc6f5f4 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x000000366cc6f6a5 in gtk_action_activate ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x000000366640b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#10 0x000000366641f6c1 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#11 0x0000003666420b9c in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#12 0x0000003666420f2d in IA__g_signal_emit_by_name (
    instance=<value optimized out>, detailed_signal=<value optimized out>)
    at gsignal.c:2267
#13 0x000000366ceb8ae6 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x000000366640b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#15 0x000000366641f6c1 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#16 0x0000003666420b9c in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#17 0x00000036664210e3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#18 0x000000366cc8b084 in gtk_button_clicked ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x000000366cc8c854 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x000000366640b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#21 0x000000366641efd6 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#22 0x0000003666420b9c in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2199
#23 0x00000036664210e3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#24 0x000000366cc8afed in gtk_button_released ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x000000366cc8c587 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#26 0x000000366cd9f87b in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#27 0x000000366640b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#28 0x000000366641f392 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2478
#29 0x0000003666420a1f in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2209
#30 0x00000036664210e3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:2243
#31 0x000000366cf2561a in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x000000366cf25148 in gtk_widget_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#33 0x000000366cd9db2b in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#34 0x000000366cd9c63e in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#35 0x000000366d45ed77 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#36 0x000000366603749b in IA__g_main_context_dispatch (
    context=<value optimized out>) at gmain.c:2009
#37 0x000000366603ac7d in g_main_context_iterate (
    context=<value optimized out>, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2642
#38 0x000000366603b1ad in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2850
#39 0x000000366cd9bd95 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#40 0x000000000042ec73 in main (argc=1, argv=0x7fffabfecf08) at main.c:293
Comment 1 Pete Zaitcev 2008-05-22 21:10:43 EDT
Actually, it seems that just one particular feed became corrupt somehow.
It shows that an outstanding item exists, but there's none in the list.
Obviously an inconsistency of some kind.
Comment 2 Marc Wiriadisastra 2008-05-25 00:34:22 EDT
I can't seem to reproduce this at all. Is this still occurring on all feeds or
just one?  Is it a problem with the feed or is it a problem with all feeds?
Comment 3 Fedora Update System 2008-07-08 22:52:10 EDT
liferea-1.4.16b-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Pete Zaitcev 2008-07-09 00:04:47 EDT
Confirmed fixed in liferea-1.4.16b-5.fc10.x86_64.

Note You need to log in before you can comment on or make changes to this bug.